Subject: Re: bug#41781: 27.0.91; [PATCH] Eldoc describes the wrong function when reading an expression from the minibuffer

From: Stefan Monnier <[email-masked]>
Date: Tue, 23 Jun 2020 14:37:32 -0400

> I see your point, but I doubt most users and elisp writers would agree
> that it's irrelevant what the value of `major-mode' says in plain
> English. We should be able to count on drawing some conclusions from it.

What I meant is that the value of `major-mode` you see is just an
accident because the minibuffer-setup code doesn't bother to really set
a new major mode (or call kill-all-local-variables), so you get a stale
value in the `major-mode` variable.

        Stefan